Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.trolltech.qt.gui
Class QItemSelectionModel.SelectionFlag

    java.lang.Object
      java.lang.Enum
          com.trolltech.qt.gui.QItemSelectionModel.SelectionFlag

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable

Enclosing class:
  QItemSelectionModel

    public static final class QItemSelectionModel.SelectionFlag

extends java.lang.Enum
implements QtEnumerator

This enum describes the way the selection model will be updated.

See Also:
  Serialized Form

Field Summary
`static QItemSelectionModel.SelectionFlag` | `Clear` The complete selection will be cleared.
`static QItemSelectionModel.SelectionFlag` | `ClearAndSelect` A combination of Clear and Select, provided for convenience.
`static QItemSelectionModel.SelectionFlag` | `Columns` All indexes will be expanded to span columns.
`static QItemSelectionModel.SelectionFlag` | `Current` The current selection will be updated.
`static QItemSelectionModel.SelectionFlag` | `Deselect` All specified indexes will be deselected.
`static QItemSelectionModel.SelectionFlag` | `NoUpdate` No selection will be made.
`static QItemSelectionModel.SelectionFlag` | `Rows` All indexes will be expanded to span rows.
`static QItemSelectionModel.SelectionFlag` | `Select`
`static QItemSelectionModel.SelectionFlag` | `SelectCurrent` A combination of Select and Current, provided for convenience.
`static QItemSelectionModel.SelectionFlag` | `Toggle` All specified indexes will be selected or deselected depending on their current state.
`static QItemSelectionModel.SelectionFlag` | `ToggleCurrent` A combination of Toggle and Current, provided for convenience.

Method Summary
`static QItemSelectionModel.SelectionFlags` | `createQFlags(QItemSelectionModel.SelectionFlag[] values)` This function creates a com.trolltech.qt.gui.QItemSelectionModel$SelectionFlags with the specified `com.trolltech.qt.gui.QItemSelectionModel$SelectionFlag[]` QItemSelectionModel$SelectionFlag values set.
`static QItemSelectionModel.SelectionFlag` | `resolve(int value)` Returns the QItemSelectionModel$SelectionFlag constant with the specified `int`.
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static QItemSelectionModel.SelectionFlag` | `valueOf(java.lang.String name)`
`static QItemSelectionModel.SelectionFlag[]` | `values()`

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### NoUpdate

    public static final QItemSelectionModel.SelectionFlag NoUpdate

  No selection will be made.

### Clear

    public static final QItemSelectionModel.SelectionFlag Clear

  The complete selection will be cleared.

### Select

    public static final QItemSelectionModel.SelectionFlag Select

### Deselect

    public static final QItemSelectionModel.SelectionFlag Deselect

  All specified indexes will be deselected.

### Toggle

    public static final QItemSelectionModel.SelectionFlag Toggle

  All specified indexes will be selected or deselected depending on their current state.

### Current

    public static final QItemSelectionModel.SelectionFlag Current

  The current selection will be updated.

### Rows

    public static final QItemSelectionModel.SelectionFlag Rows

  All indexes will be expanded to span rows.

### Columns

    public static final QItemSelectionModel.SelectionFlag Columns

  All indexes will be expanded to span columns.

### SelectCurrent

    public static final QItemSelectionModel.SelectionFlag SelectCurrent

  A combination of Select and Current, provided for convenience.

### ToggleCurrent

    public static final QItemSelectionModel.SelectionFlag ToggleCurrent

  A combination of Toggle and Current, provided for convenience.

### ClearAndSelect

    public static final QItemSelectionModel.SelectionFlag ClearAndSelect

  A combination of Clear and Select, provided for convenience.

Method Detail

### values

    public static QItemSelectionModel.SelectionFlag[] values()

### valueOf

    public static QItemSelectionModel.SelectionFlag valueOf(java.lang.String name)

### value

    public int value()

  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### createQFlags

    public static QItemSelectionModel.SelectionFlags createQFlags(QItemSelectionModel.SelectionFlag[] values)

  This function creates a com.trolltech.qt.gui.QItemSelectionModel$SelectionFlags with the specified `com.trolltech.qt.gui.QItemSelectionModel$SelectionFlag[]` QItemSelectionModel$SelectionFlag values set.

### resolve

    public static QItemSelectionModel.SelectionFlag resolve(int value)

  Returns the QItemSelectionModel$SelectionFlag constant with the specified `int`.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD